---
stage: Package
group: Container Registry
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

# GitLab and Google Cloud integration

DETAILS:
**Tier:** Premium, Ultimate
**Offering:** GitLab.com
**Status:** Beta

FLAG:
On GitLab.com, this feature is available for a subset of users.
On GitLab Dedicated, this feature is not available.

This feature is in [Beta](../../policy/experiment-beta-support.md).

Use the Google Cloud integration to use Google Cloud resources in GitLab projects.

To get started, see [Set up the Google Cloud integration](../../tutorials/set_up_gitlab_google_integration/index.md).

- [Google Cloud workload identity federation and IAM](../../integration/google_cloud_iam.md)
- [Google Artifact Management integration](../../user/project/integrations/google_artifact_management.md)
- [Provisioning runners to Google Cloud](../runners/provision_runners_google_cloud.md)
